﻿using System;

namespace Singleton.Hardware.Step1
{
    public class GraphicsCard
    {
        private static GraphicsCard _instance;

        // Nobody can instanciate GraphicsCard using new
        private GraphicsCard() { }

        public static GraphicsCard Instance
        {
            get
            {
                if (_instance == null)
                {
                    _instance = new GraphicsCard();
                }
                return _instance;
            }
        }

        public string Hello() { return "Hello!"; }
    }
}
